Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157372 - help indexes should be generated at build time.
Summary: help indexes should be generated at build time.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 23:51 UTC by Ben Konrath
Modified: 2008-05-07 00:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:10:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 94532 None None None Never

Description Ben Konrath 2005-05-10 23:51:48 UTC
For details see: 

https://bugs.eclipse.org/bugs/show_bug.cgi?id=94532

Comment 1 Jack Aboutboul 2005-05-20 16:01:19 UTC
Closed as UPSTREAM because this was fixed in the above referenced bug.

Comment 2 Ben Konrath 2005-05-20 18:51:55 UTC
This bug shouldn't be closed. Eclipse.org makes their builds with an installed
SDK so they can use the custom ant task that Eclipse provides to index the
documentation. For obvious reasons we can't build Eclipse with an installed SDK
so we don't have access to the custom ant tasks when we build the documentation
plugins. The upstream bug merely explosed this problem to me.

What we need to do is generate the indexes after Eclipse has been built. I think
   we will be able to do with a patch to the main build.xml. This will allow us
to push the changes upstream. I'd like to keep this bug open until we make this
enhancement. Re-opening.

Comment 3 Andrew Overholt 2005-12-19 20:20:58 UTC
Hmm.  I see the calls to build.index from build.xml and no error messages but
the index is still generated the first time I search for something.  Any ideas, Ben?

Comment 4 Andrew Overholt 2005-12-19 20:26:59 UTC
Looking at \*index\* in /usr/share/eclipse/plugins, I see various files but they
don't appear to be different in the version built with gjdoc 0.7.6 (prior to the
index page name fix ... eclipse-3.1.1-1jpp_10fc) and that built with gjdoc 0.7.7
(with the fix and this output from the build [1] ... eclipse-3.1.1-1jpp_11fc):

before (0.7.6 ... 3.1.1-1jpp_10fc):
===================================
./plugins/org.eclipse.jdt.doc.user_3.1.1/index:
total 508K
-rw-r--r--  1 root root 442K Dec 16 16:48 _bh.cfs
-rw-r--r--  1 root root    4 Dec 16 16:48 deletable
-rw-r--r--  1 root root  127 Dec 16 16:48 indexed_contributions
-rw-r--r--  1 root root  132 Dec 16 16:48 indexed_dependencies
-rw-r--r--  1 root root  19K Dec 16 16:48 indexed_docs
-rw-r--r--  1 root root   28 Dec 16 16:48 segments

./plugins/org.eclipse.pde.doc.user_3.1.1/index:
total 148K
-rw-r--r--  1 root root 100K Dec 16 16:48 _1g.cfs
-rw-r--r--  1 root root    4 Dec 16 16:48 deletable
-rw-r--r--  1 root root  127 Dec 16 16:48 indexed_contributions
-rw-r--r--  1 root root  132 Dec 16 16:48 indexed_dependencies
-rw-r--r--  1 root root 2.7K Dec 16 16:48 indexed_docs
-rw-r--r--  1 root root   28 Dec 16 16:48 segments

./plugins/org.eclipse.platform.doc.isv_3.1.1/index:
total 1.5M
-rw-r--r--  1 root root    4 Dec 16 16:48 deletable
-rw-r--r--  1 root root 1.4M Dec 16 16:48 _ge.cfs
-rw-r--r--  1 root root  135 Dec 16 16:48 indexed_contributions
-rw-r--r--  1 root root  132 Dec 16 16:48 indexed_dependencies
-rw-r--r--  1 root root  42K Dec 16 16:48 indexed_docs
-rw-r--r--  1 root root   28 Dec 16 16:48 segments

./plugins/org.eclipse.platform.doc.user_3.1.1/index:
total 588K
-rw-r--r--  1 root root 520K Dec 16 16:48 _bq.cfs
-rw-r--r--  1 root root    4 Dec 16 16:48 deletable
-rw-r--r--  1 root root  137 Dec 16 16:48 indexed_contributions
-rw-r--r--  1 root root  132 Dec 16 16:48 indexed_dependencies
-rw-r--r--  1 root root  22K Dec 16 16:48 indexed_docs
-rw-r--r--  1 root root   28 Dec 16 16:48 segments


after (0.7.6 ... 3.1.1-1jpp_11fc):
==================================
./plugins/org.eclipse.jdt.doc.user_3.1.1/index:
total 508K
-rw-r--r--  1 root root 442K Dec 19 14:05 _bh.cfs
-rw-r--r--  1 root root    4 Dec 19 14:05 deletable
-rw-r--r--  1 root root  127 Dec 19 14:05 indexed_contributions
-rw-r--r--  1 root root  132 Dec 19 14:05 indexed_dependencies
-rw-r--r--  1 root root  19K Dec 19 14:05 indexed_docs
-rw-r--r--  1 root root   28 Dec 19 14:05 segments

./plugins/org.eclipse.pde.doc.user_3.1.1/index:
total 148K
-rw-r--r--  1 root root 100K Dec 19 14:05 _1h.cfs
-rw-r--r--  1 root root    4 Dec 19 14:05 deletable
-rw-r--r--  1 root root  127 Dec 19 14:05 indexed_contributions
-rw-r--r--  1 root root  132 Dec 19 14:05 indexed_dependencies
-rw-r--r--  1 root root 2.7K Dec 19 14:05 indexed_docs
-rw-r--r--  1 root root   28 Dec 19 14:05 segments

./plugins/org.eclipse.platform.doc.isv_3.1.1/index:
total 1.6M
-rw-r--r--  1 root root    4 Dec 19 14:05 deletable
-rw-r--r--  1 root root 1.6M Dec 19 14:05 _ib.cfs
-rw-r--r--  1 root root  135 Dec 19 14:05 indexed_contributions
-rw-r--r--  1 root root  132 Dec 19 14:05 indexed_dependencies
-rw-r--r--  1 root root  48K Dec 19 14:05 indexed_docs
-rw-r--r--  1 root root   28 Dec 19 14:05 segments

./plugins/org.eclipse.platform.doc.user_3.1.1/index:
total 588K
-rw-r--r--  1 root root 520K Dec 19 14:05 _bq.cfs
-rw-r--r--  1 root root    4 Dec 19 14:05 deletable
-rw-r--r--  1 root root  137 Dec 19 14:05 indexed_contributions
-rw-r--r--  1 root root  132 Dec 19 14:05 indexed_dependencies
-rw-r--r--  1 root root  22K Dec 19 14:05 indexed_docs
-rw-r--r--  1 root root   28 Dec 19 14:05 segments

[1]
...
     [java] build.index:
     [java]       [zip] Building zip:
.../eclipse-3.1.1/plugins/org.eclipse.platform.doc.user/doc.zip
     [java]      [copy] Copying 31 files to
.../eclipse-3.1.1/tmp/eclipse/plugins/org.eclipse.platform.doc.user_3.1.1
     [java] BUILD SUCCESSFUL
...

Comment 5 Ben Konrath 2007-02-06 19:14:07 UTC
Building help indexes is now disabled because gjdoc intermittently finds itself
in an infinite loop during this proceedure. Removing RFE since this is a bug,
not an enhancement but I have no imediate plans to track this down.

Comment 6 Bug Zapper 2008-04-03 16:09:35 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:10:28 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.